CREATE TABLE ffs_activity_history (
    ACTIVITY_ID            NUMBER(10, 0)    NOT NULL,
    ACTION_ID              NUMBER(19, 0)    NOT NULL,
    ACTION_TIME            TIMESTAMP(0) ,
    OPERATION_TIME         TIMESTAMP(0) ,
    TRANSACTION_ID         NUMBER(19, 0)    NOT NULL,
    INTERFACE              NUMBER(3, 0)     NOT NULL,
    SCREEN_ID              NUMBER(10, 0)    NOT NULL,
    USER_ID                NUMBER(18, 0),
    OPERATION              VARCHAR2(80) ,
    ROUTE_DATE             DATE         ,
    USER_AGENT_ID          NUMBER(8, 0) ,
    RESOURCE_ID            NUMBER(8, 0) ,
    STATUS                 VARCHAR2(128),
    ETA                    TIMESTAMP(0) ,
    LENGTH                 NUMBER(6, 0) ,
    TRAVEL                 NUMBER(5, 0) ,
    NEW_VALUE              CLOB         ,
    CREATED_BY             VARCHAR2(256)    NOT NULL,
    CREATION_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128),
    ACTIVITY_HISTORY_ID    NUMBER(18, 0),
    ACTIVITY_ID            NUMBER(10, 0)    NOT NULL,
    ACTION_ID              NUMBER(19, 0)    NOT NULL,
    ACTION_TIME            TIMESTAMP(0) ,
    OPERATION_TIME         TIMESTAMP(0) ,
    TRANSACTION_ID         NUMBER(19, 0)    NOT NULL,
    INTERFACE              NUMBER(3, 0)     NOT NULL,
    SCREEN_ID              NUMBER(10, 0)    NOT NULL,
    USER_ID                NUMBER(18, 0),
    OPERATION              VARCHAR2(80) ,
    ROUTE_DATE             DATE         ,
    USER_AGENT_ID          NUMBER(8, 0) ,
    RESOURCE_ID            NUMBER(8, 0) ,
    STATUS                 VARCHAR2(128),
    ETA                    TIMESTAMP(0) ,
    LENGTH                 NUMBER(6, 0) ,
    TRAVEL                 NUMBER(5, 0) ,
    NEW_VALUE              CLOB         ,
    CREATED_BY             VARCHAR2(256)    NOT NULL,
    CREATION_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128),
    ACTIVITY_HISTORY_ID    NUMBER(18, 0)
);
